## org.hibernate.type.descriptor
Interface CharacterStream

All Known Implementing Classes:
  CharacterStreamImpl

    public interface CharacterStream

Wraps a character stream (reader) to also provide the length (number of characters) which is needed when binding.

Author:
  Steve Ebersole

Method Summary
`int` `getLength()` Retrieve the number of characters.
`Reader` `getReader()` Retrieve the reader.

Method Detail

### getReader

    Reader getReader()

  Retrieve the reader.

  Returns:
    The reader.

### getLength

    int getLength()

  Retrieve the number of characters. JDBC 3 and earlier defined the length in terms of int type rather than long type :(

  Returns:
    The number of characters.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.